<?xml version="1.0" encoding="ISO-8859-9" ?>
<adfc-mobile-config xmlns="http://xmlns.oracle.com/adf/controller" version="1.0">
  <task-flow-definition id="sayiToplama-task-flow">
    <default-activity>sayiToplama</default-activity>
    <initializer>#{applicationScope.ToplamaMBean.init}</initializer>
    <managed-bean id="__1">
      <managed-bean-name>ToplamaMBean</managed-bean-name>
      <managed-bean-class>sayi.topla.mobile.SayiToplamaBean</managed-bean-class>
      <managed-bean-scope>application</managed-bean-scope>
    </managed-bean>
    <view id="sayiToplama">
      <page>/sayi.topla.SayiToplama/sayiToplama.amx</page>
    </view>
    <view id="menuSayi">
      <page>/sayi.topla.SayiToplama/menuSayi.amx</page>
    </view>
    <view id="gameOver">
      <page>/sayi.topla.SayiToplama/gameOver.amx</page>
    </view>
    <control-flow-rule id="__2">
      <from-activity-id>sayiToplama</from-activity-id>
      <control-flow-case id="__3">
        <from-outcome>goMenu</from-outcome>
        <to-activity-id>menuSayi</to-activity-id>
      </control-flow-case>
      <control-flow-case id="__4">
        <from-outcome>goGameOver</from-outcome>
        <to-activity-id>gameOver</to-activity-id>
      </control-flow-case>
    </control-flow-rule>
    <control-flow-rule id="__5">
      <from-activity-id>menuSayi</from-activity-id>
      <control-flow-case id="__6">
        <from-outcome>newGame</from-outcome>
        <to-activity-id>sayiToplama</to-activity-id>
      </control-flow-case>
      <control-flow-case id="__7">
        <from-outcome>return_game</from-outcome>
        <to-activity-id>sayiToplama</to-activity-id>
      </control-flow-case>
    </control-flow-rule>
    <control-flow-rule id="__8">
      <from-activity-id>gameOver</from-activity-id>
      <control-flow-case id="__9">
        <from-outcome>newGame</from-outcome>
        <to-activity-id>sayiToplama</to-activity-id>
      </control-flow-case>
    </control-flow-rule>
  </task-flow-definition>
</adfc-mobile-config>
